// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package commands

type Definition struct {
	ConfigurationPath string             `long:"config" short:"c"`
	Version           VersionDefinition  `command:"version" alias:"v"`
	Document          DocumentDefinition `command:"document" alias:"d"`
	Server            ServerDefinition   `command:"server" alias:"s"`
}

func (d *Definition) GetConfigurationPath() string {
	return d.ConfigurationPath
}

var definition *Definition

func init() {
	definition = &Definition{}
}
