// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package commands

import (
	"github.com/jessevdk/go-flags"
	"gitlab.schukai.com/oss/utilities/documentation-manager/environment"
	"gitlab.schukai.com/oss/utilities/documentation-manager/translations"
)

const versionSymbol = "version"

func init() {

	h := environment.Handler{
		Init:    initVersion,
		Execute: runVersion,
	}

	environment.Handlers.Executor[versionSymbol] = h

}

type VersionDefinition struct {
}

func initVersion(command *flags.Command) {
	const text = "Prints the version and build information"
	command.ShortDescription = translations.T.Sprintf(text)
	command.LongDescription = translations.T.Sprintf(text)
}

func runVersion(command *flags.Command) {
	translations.T.Printf("version: %s\n", environment.State.GetVersion())
	translations.T.Printf("build: %s\n", environment.State.GetBuild())
}
