// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package main

import (
	"gitlab.schukai.com/oss/utilities/documentation-manager/commands"
	"gitlab.schukai.com/oss/utilities/documentation-manager/environment"
)

// Used when building per
// -ldflags "-X main.version=$app_version -X main.build=$(due --iso-8601 | tr -d "-" )"
var (
	version  string = "dev"
	build    string = "dev"
	mnemonic string = "docman"
)

/**
 */
func main() {

	defer func() {
		if r := recover(); r != nil &&
			r != environment.ExitWithCodeSymbol {
			panic(r)
		}
		environment.Exit()
	}()

	commands.Execute(environment.InfoStruct{
		Version:  version,
		Build:    build,
		Mnemonic: mnemonic,
	})

}
